Subject: Re: [DNSOP] IETF 103: Call for agenda items: draft-lhotka-dnsop-iana-class-type-yang-00

From: Normen Kowalewski <[email-masked]>
Date: Fri, 12 Oct 2018 14:59:41 +0200

Dear Ladislav, Petr,
Thank you for starting this work and the draft.
We expect that creating and support of respective YANG models can allow to foster automation and interoperability in the field of DNS, and we desire to have more of both.
Best regards
Normen B. Kowalewski
Deutsche Telekom AG
> Hi,
> we would like to present draft-lhotka-dnsop-iana-class-type-yang-00. A
> 10-minute slot should be sufficient.
> 
> Thanks, Lada
> 
> Benno Overeinder <benno at NLnetLabs.nl> writes:
> 
> > Hi all,
> >
> > We have requested one DNSOP session of 2 hours for the IETF 103.  The
> > preliminary IETF agenda will be published on October 5th.
> >
> > Please submit a request for agenda time if you want to present a draft.
> > We will be following up on several items, but there is also room for new
> > work.
> >
> > Thanks,
> >
> > Your DNSOP chairs
> > (Suzanne, Tim and Benno)
> >
> > _______________________________________________
> > DNSOP mailing list
> > DNSOP at ietf.org
> > https://www.ietf.org/mailman/listinfo/dnsop <https://www.ietf.org/mailman/listinfo/dnsop>
> 
> -- 
> Ladislav Lhotka
> Head, CZ.NIC Labs
> PGP Key ID: 0xB8F92B08A9F76C67

---

From: Ladislav Lhotka <[email-masked]>
Date: Fri, 12 Oct 2018 15:12:31 +0200

Hi Normen,

this is just a very humble start but hopefully we can get the ball rolling.

Thanks, Lada

On Fri, 2018-10-12 at 14:59 +0200, Normen Kowalewski wrote:
> We expect that creating and support of respective YANG models can allow to
> foster automation and interoperability in the field of DNS, and we desire to
> have more of both.
> Best regards
> Normen B. Kowalewski
> Deutsche Telekom AG
> > Hi,
> > > https://www.ietf.org/mailman/listinfo/dnsop
> >

---

From: Bob Harold <[email-masked]>
Date: Fri, 12 Oct 2018 09:48:48 -0400

On Fri, Oct 12, 2018 at 9:06 AM Normen Kowalewski <[email-masked]>
wrote:

> In entries like:

         enum NSAP-PTR {
           value "23";
           description
             "Domain name pointer, NSAP style.";
           reference
             "- RFC 1348: DNS NSAP RRs

              - RFC 1637: DNS NSAP Resource Records

              - RFC 1706: DNS NSAP Resource Records";
         }

It seems odd to me to create the reference field as a string that contains
what looks like YAML, except that it has extra blank lines.  Does YANG not
have a standard way to represent a list, and should the reference field
always be a list, for consistency?

Also, the "template" and "registration date" fields appear to be missing.

-- 
Bob Harold